Subject: Re: [PATCH] net: phylink: don't try to stop halted PHY

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 1 Dec 2022 18:09:10 +0000

On Thu, Dec 01, 2022 at 06:53:02PM +0100, Lucas Stach wrote:
> When the PHY driver has encountered a non-recoverable error condition, e.g
> due to a failure in MDIO communication it may have already halted the PHY
> by calling phy_error(). If that is the case then phylink should not try to
> stop the PHY again.

No. phylib doesn't say this is necessary, and if you grep the many
network drivers, they don't do such a test.

If we want to do this then obviously all network drivers need to be
updated to do the same test before calling phy_stop()... but it would
be better if phylib avoided being rather silly in this case.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!